Subject: Re: [PATCH 0/8] rebase -i: offer to recreate merge commits

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Jan 2018 12:29:33 -0800

Johannes Schindelin <[email-masked]> writes:

> My original attempt was --preserve-merges, but that design was so
> limited that I did not even enable it in interactive mode.
> ...
> There are more patches in the pipeline, based on this patch series, but
> left for later in the interest of reviewable patch series: one mini
> series to use the sequencer even for `git rebase -i --root`, and another
> one to add support for octopus merges to --recreate-merges.

I left comments on a handful of them, but I do not think any of them
spotted a grave design issue to be a show stopper.  Overall, the
series was quite a pleasant read, even with those minor nits and
rooms for improvements.

Thanks.